> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1domainsaccounts



## OpenAPI

````yaml https://api.comm.com/docs/api.json post /v1/domains/accounts
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/domains/accounts:
    post:
      tags:
        - DomainAccounts
      operationId: domains.accounts.store
      requestBody:
        description: '`DomainAccountDataRequest`'
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DomainAccountDataRequest'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainAccountData'
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: object
                    properties:
                      meta.apiKey:
                        type: array
                        prefixItems:
                          - type: string
                            example: >-
                              Invalid credentials, failed to connect to Domain
                              provider
                        minItems: 1
                        maxItems: 1
                        additionalItems: false
                    required:
                      - meta.apiKey
                required:
                  - errors
components:
  schemas:
    DomainAccountDataRequest:
      type: object
      properties:
        name:
          type: string
        meta:
          anyOf:
            - $ref: '#/components/schemas/DomainAccountMetaDataRequest'
            - type: 'null'
        type:
          type:
            - string
            - 'null'
          enum:
            - namecheap
          default: namecheap
        is_active:
          type:
            - boolean
            - 'null'
          default: true
      required:
        - name
      title: DomainAccountDataRequest
    DomainAccountData:
      type: object
      properties:
        id:
          type:
            - string
            - 'null'
          format: uuid
        name:
          type: string
        meta:
          anyOf:
            - $ref: '#/components/schemas/DomainAccountMetaData'
            - type: 'null'
        type:
          type:
            - string
            - 'null'
          enum:
            - namecheap
          default: namecheap
        is_active:
          type:
            - boolean
            - 'null'
          default: true
      required:
        - id
        - name
        - meta
        - type
        - is_active
      title: DomainAccountData
    DomainAccountMetaDataRequest:
      type: object
      properties:
        apiKey:
          type: string
        apiUser:
          type: string
        apiUrl:
          type: string
        clientIp:
          type:
            - string
            - 'null'
        firstName:
          type: string
        lastName:
          type: string
        address1:
          type: string
        address2:
          type:
            - string
            - 'null'
        city:
          type: string
        stateProvince:
          type: string
        postalCode:
          type: string
        country:
          type: string
        phone:
          type: string
        email:
          type: string
        techFirstName:
          type:
            - string
            - 'null'
        techLastName:
          type:
            - string
            - 'null'
        techAddress1:
          type:
            - string
            - 'null'
        techAddress2:
          type:
            - string
            - 'null'
        techCity:
          type:
            - string
            - 'null'
        techStateProvince:
          type:
            - string
            - 'null'
        techPostalCode:
          type:
            - string
            - 'null'
        techCountry:
          type:
            - string
            - 'null'
        techPhone:
          type:
            - string
            - 'null'
        techEmail:
          type:
            - string
            - 'null'
        adminLastName:
          type:
            - string
            - 'null'
        adminFirstName:
          type:
            - string
            - 'null'
        adminAddress1:
          type:
            - string
            - 'null'
        adminAddress2:
          type:
            - string
            - 'null'
        adminCity:
          type:
            - string
            - 'null'
        adminStateProvince:
          type:
            - string
            - 'null'
        adminPostalCode:
          type:
            - string
            - 'null'
        adminCountry:
          type:
            - string
            - 'null'
        adminPhone:
          type:
            - string
            - 'null'
        adminEmail:
          type:
            - string
            - 'null'
        auxBillingLastName:
          type:
            - string
            - 'null'
        auxBillingFirstName:
          type:
            - string
            - 'null'
        auxBillingAddress1:
          type:
            - string
            - 'null'
        auxBillingAddress2:
          type:
            - string
            - 'null'
        auxBillingCity:
          type:
            - string
            - 'null'
        auxBillingStateProvince:
          type:
            - string
            - 'null'
        auxBillingPostalCode:
          type:
            - string
            - 'null'
        auxBillingCountry:
          type:
            - string
            - 'null'
        auxBillingPhone:
          type:
            - string
            - 'null'
        auxBillingEmail:
          type:
            - string
            - 'null'
      required:
        - apiKey
        - apiUser
        - apiUrl
        - firstName
        - lastName
        - address1
        - city
        - stateProvince
        - postalCode
        - country
        - phone
        - email
      title: DomainAccountMetaDataRequest
    DomainAccountMetaData:
      type: object
      properties:
        apiKey:
          type: string
        apiUser:
          type: string
        apiUrl:
          type: string
        clientIp:
          type:
            - string
            - 'null'
        firstName:
          type: string
        lastName:
          type: string
        address1:
          type: string
        address2:
          type:
            - string
            - 'null'
        city:
          type: string
        stateProvince:
          type: string
        postalCode:
          type: string
        country:
          type: string
        phone:
          type: string
        email:
          type: string
        techFirstName:
          type:
            - string
            - 'null'
        techLastName:
          type:
            - string
            - 'null'
        techAddress1:
          type:
            - string
            - 'null'
        techAddress2:
          type:
            - string
            - 'null'
        techCity:
          type:
            - string
            - 'null'
        techStateProvince:
          type:
            - string
            - 'null'
        techPostalCode:
          type:
            - string
            - 'null'
        techCountry:
          type:
            - string
            - 'null'
        techPhone:
          type:
            - string
            - 'null'
        techEmail:
          type:
            - string
            - 'null'
        adminLastName:
          type:
            - string
            - 'null'
        adminFirstName:
          type:
            - string
            - 'null'
        adminAddress1:
          type:
            - string
            - 'null'
        adminAddress2:
          type:
            - string
            - 'null'
        adminCity:
          type:
            - string
            - 'null'
        adminStateProvince:
          type:
            - string
            - 'null'
        adminPostalCode:
          type:
            - string
            - 'null'
        adminCountry:
          type:
            - string
            - 'null'
        adminPhone:
          type:
            - string
            - 'null'
        adminEmail:
          type:
            - string
            - 'null'
        auxBillingLastName:
          type:
            - string
            - 'null'
        auxBillingFirstName:
          type:
            - string
            - 'null'
        auxBillingAddress1:
          type:
            - string
            - 'null'
        auxBillingAddress2:
          type:
            - string
            - 'null'
        auxBillingCity:
          type:
            - string
            - 'null'
        auxBillingStateProvince:
          type:
            - string
            - 'null'
        auxBillingPostalCode:
          type:
            - string
            - 'null'
        auxBillingCountry:
          type:
            - string
            - 'null'
        auxBillingPhone:
          type:
            - string
            - 'null'
        auxBillingEmail:
          type:
            - string
            - 'null'
      required:
        - apiKey
        - apiUser
        - apiUrl
        - clientIp
        - firstName
        - lastName
        - address1
        - address2
        - city
        - stateProvince
        - postalCode
        - country
        - phone
        - email
        - techFirstName
        - techLastName
        - techAddress1
        - techAddress2
        - techCity
        - techStateProvince
        - techPostalCode
        - techCountry
        - techPhone
        - techEmail
        - adminLastName
        - adminFirstName
        - adminAddress1
        - adminAddress2
        - adminCity
        - adminStateProvince
        - adminPostalCode
        - adminCountry
        - adminPhone
        - adminEmail
        - auxBillingLastName
        - auxBillingFirstName
        - auxBillingAddress1
        - auxBillingAddress2
        - auxBillingCity
        - auxBillingStateProvince
        - auxBillingPostalCode
        - auxBillingCountry
        - auxBillingPhone
        - auxBillingEmail
      title: DomainAccountMetaData
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````